import request from '@/utils/request';

// 查询线索列表
export function getSignList(query) {
  return request({
    url: '/zs/sign/list',
    method: 'get',
    params: query
  });
}

// 导出
export function exportData(query) {
  return request({
    url: '/zs/sign/export',
    method: 'get',
    params: query
  });
}

// 导入模板
export function importTemplate() {
  return request({
    url: '/zs/sign/importTemplate',
    method: 'get'
  });
}
// 导入
export function importData(data) {
  return request({
    url: '/zs/sign/importData',
    method: 'post',
    data: data
  });
}

export function addSign(data) {
  return request({
    url: '/zs/sign',
    method: 'post',
    data: data
  });
}

export function updateSign(data) {
  return request({
    url: '/zs/sign',
    method: 'put',
    data: data
  });
}

export function getClues(param) {
  return request({
    url: '/zs/sign/clue',
    method: 'get',
    params: param
  });
}

export function deleteSign(data) {
  return request({
    url: '/zs/sign',
    method: 'delete',
    params: data
  });
}

// 审核登记
export function checkSign(data) {
  return request({
    url: '/zs/sign/check',
    method: 'put',
    data: data
  });
}

// 审核记录
export function getCheckRecord(data) {
  return request({
    url: '/zs/sign/check',
    method: 'get',
    params: data
  });
}
